Skip to main content
Server path: /sentry-projects | Type: Application | PCID required: Yes

Tools

ToolDescription
sentry_projects_create_a_new_projectCreate a new project bound to a team. Note: If your organization has disabled member project creation, the org:write or team:admin scope is required.
sentry_projects_create_a_new_teamCreate a new team bound to an organization. Requires at least one of the name or slug body params to be set.
sentry_projects_delete_a_projectSchedules a project for deletion. Deletion happens asynchronously and therefore is not immediate. However once deletion has begun the state of a project changes and will be hidden from most public views.
sentry_projects_delete_a_teamSchedules a team for deletion. Note: Deletion happens asynchronously and therefore is not immediate. Teams will have their slug released while waiting for deletion.
sentry_projects_list_a_project_s_environmentsLists a project’s environments.
sentry_projects_list_a_project_s_teamsReturn a list of teams that have access to this project.
sentry_projects_list_a_project_s_usersReturn a list of users seen within this project.
sentry_projects_list_a_team_s_membersList all members on a team. The response will not include members with pending invites.
sentry_projects_list_a_team_s_projectsReturn a list of projects bound to a team.
sentry_projects_list_an_organization_s_environmentsLists an organization’s environments.
sentry_projects_list_an_organization_s_membersList all organization members. Response includes pending invites that are approved by organization owners or managers but waiting to be accepted by the invitee.
sentry_projects_list_an_organization_s_projectsReturn a list of projects bound to a organization.
sentry_projects_list_an_organization_s_teamsReturns a list of teams bound to a organization.
sentry_projects_list_your_organizationsReturn a list of organizations available to the authenticated session in a region. This is particularly useful for requests with a user bound context. For API key-based requests this will only return the organization that belongs to the key.
sentry_projects_retrieve_a_projectReturn details on an individual project.
sentry_projects_retrieve_a_teamReturn details on an individual team.
sentry_projects_retrieve_an_organizationReturn details on an individual organization, including various details such as membership access and teams.
sentry_projects_retrieve_an_organization_memberRetrieve an organization member’s details. Response will be a pending invite if it has been approved by organization owners or managers but is waiting to be accepted by the invitee.
sentry_projects_retrieve_an_organization_s_events_count_by_projectQuery summarized event counts by project for your Organization. Also see https://docs.sentry.io/api/organizations/retrieve-event-counts-for-an-organization-v2/ for reference.
sentry_projects_retrieve_event_counts_for_a_projectCaution This endpoint may change in the future without notice.
sentry_projects_retrieve_event_counts_for_an_organization_v2Query event counts for your Organization. Select a field, define a date range, and group or filter by columns.
sentry_projects_retrieve_ownership_configuration_for_a_projectReturns details on a project’s ownership configuration.
sentry_projects_update_a_projectUpdate various attributes and configurable settings for the given project. Note that solely having the project:read scope restricts updatable settings to isBookmarked, autofixAutomationTuning, seerScannerAutomation, preprodSizeStatusChecksEnabled, preprodSizeStatusChecksRules, preprodSizeEnabledQuery, preprodDistributionEnabledQuery, preprodSizeEnabledByCustomer, preprodDistributionEnabledByCustomer, and preprodDistributionPrCommentsEnabledByCustomer.
sentry_projects_update_a_teamUpdate various attributes and configurable settings for the given team.

sentry_projects_create_a_new_project

Create a new project bound to a team. Note: If your organization has disabled member project creation, the org:write or team:admin scope is required. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
team_id_or_slugstringYesThe ID or slug of the team the resource belongs to.
default_rulesbooleanNoDefaults to true where the behavior is to alert the user on every new issue. Setting this to false will turn this off and the user must create their own alerts to be notified of new issues.
namestringYesThe name for the project.
platformstringNoThe platform for the project.
slugstringNoUniquely identifies a project and is used for the interface. If not provided, it is automatically generated from the name.

sentry_projects_create_a_new_team

Create a new team bound to an organization. Requires at least one of the name or slug body params to be set. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
namestringNo[DEPRECATED] The name for the team. If not provided, it is automatically generated from the slug
slugstringNoUniquely identifies a team and is used for the interface. If not provided, it is automatically generated from the name.

sentry_projects_delete_a_project

Schedules a project for deletion. Deletion happens asynchronously and therefore is not immediate. However once deletion has begun the state of a project changes and will be hidden from most public views. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
project_id_or_slugstringYesThe ID or slug of the project the resource belongs to.

sentry_projects_delete_a_team

Schedules a team for deletion. Note: Deletion happens asynchronously and therefore is not immediate. Teams will have their slug released while waiting for deletion. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
team_id_or_slugstringYesThe ID or slug of the team the resource belongs to.

sentry_projects_list_a_project_s_environments

Lists a project’s environments. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
project_id_or_slugstringYesThe ID or slug of the project the resource belongs to.
visibilitystringNoThe visibility of the environments to filter by. Defaults to visible.

sentry_projects_list_a_project_s_teams

Return a list of teams that have access to this project. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
project_id_or_slugstringYesThe ID or slug of the project the resource belongs to.
cursorstringNoA pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

sentry_projects_list_a_project_s_users

Return a list of users seen within this project. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization.
project_id_or_slugstringYesThe ID or slug of the project.
querystringNoLimit results to users matching the given query. Prefixes should be used to suggest the field to match on: id, email, username, ip. For example, query=email:foo@example.com
cursorstringNoA pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

sentry_projects_list_a_team_s_members

List all members on a team. The response will not include members with pending invites. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
team_id_or_slugstringYesThe ID or slug of the team the resource belongs to.
cursorstringNoA pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

sentry_projects_list_a_team_s_projects

Return a list of projects bound to a team. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
team_id_or_slugstringYesThe ID or slug of the team the resource belongs to.
cursorstringNoA pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

sentry_projects_list_an_organization_s_environments

Lists an organization’s environments. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
visibilitystringNoThe visibility of the environments to filter by. Defaults to visible.

sentry_projects_list_an_organization_s_members

List all organization members. Response includes pending invites that are approved by organization owners or managers but waiting to be accepted by the invitee. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
cursorstringNoA pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

sentry_projects_list_an_organization_s_projects

Return a list of projects bound to a organization. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
cursorstringNoA pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

sentry_projects_list_an_organization_s_teams

Returns a list of teams bound to a organization. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
detailedstringNoSpecify "0" to return team details that do not include projects.
cursorstringNoA pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

sentry_projects_list_your_organizations

Return a list of organizations available to the authenticated session in a region. This is particularly useful for requests with a user bound context. For API key-based requests this will only return the organization that belongs to the key. Parameters:
ParameterTypeRequiredDefaultDescription
ownerbooleanNoSpecify true to restrict results to organizations in which you are an owner.
cursorstringNoA pointer to the last object fetched and its sort order; used to retrieve the next or previous results.
querystringNoFilters results by using query syntax. Valid query fields include: - id: The organization ID - slug: The organization slug - status: The organization’s current status (one of active, pending_deletion, or deletion_in_progress) - email or member_id: Filter your organizations by the emails or organization member IDs of specific members included - platform: Filter your organizations to those with at least one project using this platform - query: Filter your organizations by name, slug, and members that contain this substring Example: query=(slug:foo AND status:active) OR (email:[thing-one@example.com,thing-two@example.com] AND query:bar)
sortBystringNoThe field to sort results by, in descending order. If not specified the results are sorted by the date they were created. Valid fields include: - members: By number of members - projects: By number of projects - events: By number of events in the past 24 hours

sentry_projects_retrieve_a_project

Return details on an individual project. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
project_id_or_slugstringYesThe ID or slug of the project the resource belongs to.

sentry_projects_retrieve_a_team

Return details on an individual team. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
team_id_or_slugstringYesThe ID or slug of the team the resource belongs to.
expandstringNoList of strings to opt in to additional data. Supports projects, externalTeams.
collapsestringNoList of strings to opt out of certain pieces of data. Supports organization.

sentry_projects_retrieve_an_organization

Return details on an individual organization, including various details such as membership access and teams. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
detailedstringNoSpecify "0" to return organization details that do not include projects or teams.

sentry_projects_retrieve_an_organization_member

Retrieve an organization member’s details. Response will be a pending invite if it has been approved by organization owners or managers but is waiting to be accepted by the invitee. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
member_idstringYesThe ID of the organization member.

sentry_projects_retrieve_an_organization_s_events_count_by_project

Query summarized event counts by project for your Organization. Also see https://docs.sentry.io/api/organizations/retrieve-event-counts-for-an-organization-v2/ for reference. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
fieldstringYesthe sum(quantity) field is bytes for attachments, and all others the ‘event’ count for those types of events. sum(times_seen) sums the number of times an event has been seen. For ‘normal’ event types, this will be equal to sum(quantity) for now. For sessions, quantity will sum the total number of events seen in a session, while times_seen will be the unique number of sessions. and for attachments, times_seen will be the total number of attachments, while quantity will be the total sum of attachment bytes. * sum(quantity) * sum(times_seen)
statsPeriodstringNoThis defines the range of the time series, relative to now. The range is given in a <number><unit> format. For example 1d for a one day range. Possible units are m for minutes, h for hours, d for days and w for weeks.You must either provide a statsPeriod, or a start and end.
intervalstringNoThis is the resolution of the time series, given in the same format as statsPeriod. The default resolution is 1h and the minimum resolution is currently restricted to 1h as well. Intervals larger than 1d are not supported, and the interval has to cleanly divide one day.
startstringNoThis defines the start of the time series range as an explicit datetime, either in UTC ISO8601 or epoch seconds.Use along with end instead of statsPeriod.
endstringNoThis defines the inclusive end of the time series range as an explicit datetime, either in UTC ISO8601 or epoch seconds.Use along with start instead of statsPeriod.
projectany[]NoThe ID of the projects to filter by.
categorystringNoIf filtering by attachments, you cannot filter by any other category due to quantity values becoming nonsensical (combining bytes and event counts). If filtering by error, it will automatically add default and security as we currently roll those two categories into error for displaying. * error * transaction * attachment * replays * profiles
outcomestringNoSee https://docs.sentry.io/product/stats/ for more information on outcome statuses. * accepted * filtered * rate_limited * invalid * abuse * client_discard * cardinality_limited
reasonstringNoThe reason field will contain why an event was filtered/dropped.
downloadbooleanNoDownload the API response in as a csv file

sentry_projects_retrieve_event_counts_for_a_project

Caution This endpoint may change in the future without notice. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization.
project_id_or_slugstringYesThe ID or slug of the project.
statstringNoThe name of the stat to query ("received", "rejected", "blacklisted", "generated").
sincestringNoA timestamp to set the start of the query in seconds since UNIX epoch.
untilstringNoA timestamp to set the end of the query in seconds since UNIX epoch.
resolutionstringNoAn explicit resolution to search for (one of 10s, 1h, and 1d).

sentry_projects_retrieve_event_counts_for_an_organization_v2

Query event counts for your Organization. Select a field, define a date range, and group or filter by columns. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
groupBystring[]Yescan pass multiple groupBy parameters to group by multiple, e.g. groupBy=project&groupBy=outcome to group by multiple dimensions. Note that grouping by project can cause missing rows if the number of projects / interval is large. If you have a large number of projects, we recommend filtering and querying by them individually.Also note that grouping by projects does not currently support timeseries interval responses and will instead be a sum of the projectover the entire period specified.
fieldstringYesthe sum(quantity) field is bytes for attachments, and all others the ‘event’ count for those types of events. sum(times_seen) sums the number of times an event has been seen. For ‘normal’ event types, this will be equal to sum(quantity) for now. For sessions, quantity will sum the total number of events seen in a session, while times_seen will be the unique number of sessions. and for attachments, times_seen will be the total number of attachments, while quantity will be the total sum of attachment bytes. * sum(quantity) * sum(times_seen)
statsPeriodstringNoThis defines the range of the time series, relative to now. The range is given in a <number><unit> format. For example 1d for a one day range. Possible units are m for minutes, h for hours, d for days and w for weeks.You must either provide a statsPeriod, or a start and end.
intervalstringNoThis is the resolution of the time series, given in the same format as statsPeriod. The default resolution is 1h and the minimum resolution is currently restricted to 1h as well. Intervals larger than 1d are not supported, and the interval has to cleanly divide one day.
startstringNoThis defines the start of the time series range as an explicit datetime, either in UTC ISO8601 or epoch seconds.Use along with end instead of statsPeriod.
endstringNoThis defines the inclusive end of the time series range as an explicit datetime, either in UTC ISO8601 or epoch seconds.Use along with start instead of statsPeriod.
projectany[]NoThe ID of the projects to filter by. Use -1 to include all accessible projects.
categorystringNoFilter by data category. Each category represents a different type of data: - error: Error events (includes default and security categories) - transaction: Transaction events - attachment: File attachments (note: cannot be combined with other categories since quantity represents bytes) - replay: Session replay events - profile: Performance profiles - profile_duration: Profile duration data (note: cannot be combined with other categories since quantity represents milliseconds) - profile_duration_ui: Profile duration (UI) data (note: cannot be combined with other categories since quantity represents milliseconds) - profile_chunk: Profile chunk data - profile_chunk_ui: Profile chunk (UI) data - monitor: Cron monitor events * error * transaction * attachment * replay * profile * profile_duration * profile_duration_ui * profile_chunk * profile_chunk_ui * monitor
outcomestringNoSee https://docs.sentry.io/product/stats/ for more information on outcome statuses. * accepted * filtered * rate_limited * invalid * abuse * client_discard * cardinality_limited
reasonstringNoThe reason field will contain why an event was filtered/dropped.

sentry_projects_retrieve_ownership_configuration_for_a_project

Returns details on a project’s ownership configuration. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
project_id_or_slugstringYesThe ID or slug of the project the resource belongs to.

sentry_projects_update_a_project

Update various attributes and configurable settings for the given project. Note that solely having the project:read scope restricts updatable settings to isBookmarked, autofixAutomationTuning, seerScannerAutomation, preprodSizeStatusChecksEnabled, preprodSizeStatusChecksRules, preprodSizeEnabledQuery, preprodDistributionEnabledQuery, preprodSizeEnabledByCustomer, preprodDistributionEnabledByCustomer, and preprodDistributionPrCommentsEnabledByCustomer. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
project_id_or_slugstringYesThe ID or slug of the project the resource belongs to.
highlightContextobjectNoA JSON mapping of context types to lists of strings for their keys. E.g. {'user': ['id', 'email']}
highlightTagsstring[]NoA list of strings with tag keys to highlight on this project’s issues. E.g. ['release', 'environment']
isBookmarkedbooleanNoEnables starring the project within the projects tab. Can be updated with project:read permission.
namestringNoThe name for the project
platformstringNoThe platform for the project
resolveAgeintegerNoAutomatically resolve an issue if it hasn’t been seen for this many hours. Set to 0 to disable auto-resolve.
scmSourceContextEnabledbooleanNoEnable on-demand source context fetching from SCM integrations for stack traces.
slugstringNoUniquely identifies a project and is used for the interface.
subjectPrefixstringNoCustom prefix for emails from this project.
subjectTemplatestringNoThe email subject to use (excluding the prefix) for individual alerts. Here are the list of variables you can use: - $title - $shortID - $projectID - $orgID - ${tag:key} - such as ${tag:environment} or ${tag:release}.

sentry_projects_update_a_team

Update various attributes and configurable settings for the given team. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
team_id_or_slugstringYesThe ID or slug of the team the resource belongs to.
slugstringYesUniquely identifies a team. This is must be available.